remove useless variables MYEXIT and NEWAVAILABLEVMs
authorJoerg Jaspert <joerg@debian.org>
Mon, 12 Dec 2011 21:48:40 +0000 (22:48 +0100)
committerJoerg Jaspert <joerg@debian.org>
Mon, 12 Dec 2011 21:48:40 +0000 (22:48 +0100)
Signed-off-by: Joerg Jaspert <joerg@debian.org>
kvm-shell

index 884f140..4cd7fbd 100644 (file)
--- a/kvm-shell
+++ b/kvm-shell
@@ -39,7 +39,6 @@ SUDO=/usr/bin/sudo
 VIRSH=/usr/bin/virsh
 # After how many seconds without input do we exit the dialogbox?
 TIMEOUTSECS=120
 VIRSH=/usr/bin/virsh
 # After how many seconds without input do we exit the dialogbox?
 TIMEOUTSECS=120
-MYEXIT=0
 TMPDIR=${TMPDIR:-"/tmp"}
 # Set to no if you do not want people to edit DNS information
 DO_RDNS="yes"
 TMPDIR=${TMPDIR:-"/tmp"}
 # Set to no if you do not want people to edit DNS information
 DO_RDNS="yes"
@@ -160,7 +159,6 @@ function main_menu {
     AVAILABLEVMS=${AVAILABLEVMS#* }
     local MENUITEMS=""
     local COUNTER=0
     AVAILABLEVMS=${AVAILABLEVMS#* }
     local MENUITEMS=""
     local COUNTER=0
-    local NEWAVAILABLEVMS=""
     for vm in ${AVAILABLEVMS}; do
         set +e
         local STATE=$(${SUDO} ${VIRSH} domstate $vm 2>/dev/null)
     for vm in ${AVAILABLEVMS}; do
         set +e
         local STATE=$(${SUDO} ${VIRSH} domstate $vm 2>/dev/null)
@@ -169,12 +167,10 @@ function main_menu {
         local ret=$?
         set -e
         if [ "${ret}" = 0 ]; then
         local ret=$?
         set -e
         if [ "${ret}" = 0 ]; then
-            NEWAVAILABLEVMS="${NEWAVAILABLEVMS} ${vm}"
             COUNTER=$((COUNTER+1))
             MENUITEMS="${MENUITEMS} ${vm} ${STATE}"
         fi
     done
             COUNTER=$((COUNTER+1))
             MENUITEMS="${MENUITEMS} ${vm} ${STATE}"
         fi
     done
-    AVAILABLEVMS=${NEWAVAILABLEVMS}
     dialogout=$(mktemp -p "${TMPDIR}" kvmshell.XXXXXXXX)
     TEMPFILES="${TEMPFILES} dialogout"
     set +e
     dialogout=$(mktemp -p "${TMPDIR}" kvmshell.XXXXXXXX)
     TEMPFILES="${TEMPFILES} dialogout"
     set +e
@@ -191,14 +187,13 @@ function main_menu {
         0)
             # Clean exit, means selected a VM
             select_action ${selectedvm}
         0)
             # Clean exit, means selected a VM
             select_action ${selectedvm}
-            MYEXIT=0
             ;;
         2)
             helpbox
             ;;
         *)
             # Anything else means we send em to the shredder...
             ;;
         2)
             helpbox
             ;;
         *)
             # Anything else means we send em to the shredder...
-            MYEXIT=1;;
+            exit
     esac
 }
 
     esac
 }
 
@@ -259,19 +254,15 @@ function select_action {
                 read -p "[Hit Return]" x
                 ;;
                *)
                 read -p "[Hit Return]" x
                 ;;
                *)
-                MYEXIT=2
                 return
                 ;;
         esac
     done
 }
 
                 return
                 ;;
         esac
     done
 }
 
-
-
 trap cleanup EXIT TERM HUP INT QUIT
 
 trap cleanup EXIT TERM HUP INT QUIT
 
-
-while [ $MYEXIT -ne 1 ]; do
+while :; do
     main_menu
 done
 
     main_menu
 done